﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AMC_Due_Report.aspx.cs"
    Inherits="FixedAssetsManagement.AMC_Due_Report1" MasterPageFile="~/MainMaster.Master"
    Title="AMC_Due_Report" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="AjaxToolkit" %>
<%@ Register Assembly="AISWebCommon" Namespace="AISWebCommon.AisControls" TagPrefix="AIS" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Mainhead" runat="server">
    <link href="CSS/Common.css" rel="Stylesheet" type="text/css" />

    <script type="text/javascript">
 function ShowForm(icode)
    {
             var WinSettings = "center:yes;resizable:no;dialogHeight:1000px;dialogWidth:900px"
            var MyArgs = new Array(1);
            window.showModalDialog("FixedAssetTrans.aspx?Code=" + icode +"&tab=0", MyArgs, WinSettings );
    }
    
     function HidePanel(ddlId) {

            var index = ddlId;
            var now = new Date();

            document.getElementById("<%= txtToDate.ClientID %>").value = now.format("dd/MMM/yyyy");

            if (index == 1) {
                now.setDate(now.getDate() - 1);
            }
            else if (index == 2) {
                now.setDate(now.getDate() - 7);
            }
            else if (index == 3) {
                now.setMonth(now.getMonth() - 1);
	now.setDate(now.getDate() - 1);
            }
            document.getElementById("<%= txtFromDate.ClientID %>").value = now.format("dd/MMM/yyyy");

            if (index != 4)  //it depends on which value Selection do u want to hide or show your textbox
            {
                document.getElementById("<%= txtFromDate.ClientID %>").disabled = true;
                document.getElementById("<%= txtToDate.ClientID %>").disabled = true;
            }
            else {
                document.getElementById("<%= txtFromDate.ClientID %>").disabled = false;
                document.getElementById("<%= txtToDate.ClientID %>").disabled = false;
            }
        } 
    </script>

    <style type="text/css">
        #heading
        {
            width: 520px;
            text-align: right;
            font-size: 11pt;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentMiddle" runat="server">
    <table width="100%">
    <tr><td colspan="10" align="center" style="background-color:#507CD1; color:white">AMC DUE REPORT</td></tr>
    <tr>
    <td align="right" colspan="10">
    
                                <asp:Label runat="server" Text="Export Data" 
            Font-Size="10pt" ID="lblexport"></asp:Label>

                                <asp:ImageButton runat="server" 
            PostBackUrl="~/AMC_Due_Report.aspx?Export=Yes&amp;Type=Excel" 
            ImageUrl="~/Images/xls_ico.gif" Height="26px" TabIndex="3" Width="30px" 
            ID="ImageButton1"></asp:ImageButton>

                                <asp:ImageButton runat="server" 
            PostBackUrl="~/AMC_Due_Report.aspx?Export=Yes&amp;Type=Word" 
            ImageUrl="~/Images/RTF_icon.jpg" TabIndex="4" Width="30px" ID="ImageButton2"></asp:ImageButton>
            </td></tr>

            <tr><td> Select Period</td>
            
            
            <td>                            <asp:DropDownList runat="server" ID="days" 
            ViewStateMode="Enabled" onchange="HidePanel(this.selectedIndex);"><asp:ListItem Selected="True">Today</asp:ListItem>
                        <asp:ListItem>Yesterday</asp:ListItem>
                        <asp:ListItem>Within One Week</asp:ListItem>
                        <asp:ListItem>Within One Month</asp:ListItem>
                        <asp:ListItem>Specify Range</asp:ListItem>
                        </asp:DropDownList></td>
                        
                                                 <td>From Date</td>        <td>   <asp:TextBox runat="server" 
            Enabled="False" ID="txtFromDate"></asp:TextBox>

                                                            <AjaxToolkit:CalendarExtender runat="server" Enabled="True" 
            TargetControlID="txtFromDate" ID="txtFromDate_CalendarExtender"></AjaxToolkit:CalendarExtender></td>

                                                       <td>To Date</td>    <td> <asp:TextBox runat="server" 
            Enabled="False" ID="txtToDate"></asp:TextBox>

                                                            <AjaxToolkit:CalendarExtender runat="server" Enabled="True" 
            TargetControlID="txtToDate" ID="txtToDate_CalendarExtender"></AjaxToolkit:CalendarExtender></td>

                                        <td><asp:Button runat="server" Text="Show"  Width="100px"
            ID="btnShow" Style="background-color: ActiveBorder; color: Black;
                                            height: 26px;" OnClick="btnShow_Click"></asp:Button>

    </td>
    </tr>
    <tr>
    <td colspan="10">
    
                        <asp:GridView runat="server" AllowPaging="True" 
            AutoGenerateColumns="False" CellPadding="4" GridLines="None" 
            ForeColor="#333333" Width="100%" ID="maingrida" 
            
            OnPageIndexChanging="maingrida_PageIndexChanging" 
                            onselectedindexchanged="maingrida_SelectedIndexChanged">
        <AlternatingRowStyle BackColor="White"></AlternatingRowStyle>
<Columns>
        <asp:BoundField DataField="Code" HeaderText="Code" Visible="False" HeaderStyle-HorizontalAlign="Left">
        <ItemStyle Font-Size="Small" />
        </asp:BoundField>
        <asp:BoundField DataField="DESCRIPTION" HeaderText="Item Description" HeaderStyle-HorizontalAlign="Left">
        <ItemStyle Font-Size="Small" />
        </asp:BoundField>
        <asp:BoundField DataField="CURRLOC" HeaderText="Location" HeaderStyle-HorizontalAlign="Left">
        <ItemStyle Font-Size="Small" />
        </asp:BoundField>
        <asp:BoundField DataField="MODELNO" HeaderText="MODEL NO" HeaderStyle-HorizontalAlign="Left">
        <ItemStyle Font-Size="Small" />
        </asp:BoundField>
        <asp:BoundField DataField="Vendor" HeaderText="Current Vendor" HeaderStyle-HorizontalAlign="Left">
        <ItemStyle Font-Size="Small" />
        </asp:BoundField>
        <asp:BoundField DataField="EXPIRYDATE" HeaderText="AMC Expiry Date" HeaderStyle-HorizontalAlign="Left">
        <ItemStyle Font-Size="Small" />
        </asp:BoundField>
        <asp:TemplateField HeaderText="Edit" HeaderStyle-HorizontalAlign="Left"><EditItemTemplate >
        <asp:TextBox ID="TextBox1" runat="server"></asp:TextBox>
                                    
</EditItemTemplate> 
<ItemTemplate>
     <a href="#" id="LinkButton1"  onclick="ShowForm('<%#Eval("code")%>');" 
         style="font-size: small" >Edit</a>
     &nbsp;
                                    
</ItemTemplate>
</asp:TemplateField>
</Columns>

<EditRowStyle BackColor="#2461BF"></EditRowStyle>

<FooterStyle BackColor="#507CD1" Font-Size="Small"  ForeColor="White"></FooterStyle>

<HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White"></HeaderStyle>

<PagerStyle HorizontalAlign="Center" BackColor="#2461BF" Font-Size="Small" ForeColor="White"></PagerStyle>

<RowStyle BackColor="#EFF3FB"></RowStyle>

<SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333"></SelectedRowStyle>

<SortedAscendingCellStyle BackColor="#F5F7FB"></SortedAscendingCellStyle>

<SortedAscendingHeaderStyle BackColor="#6D95E1"></SortedAscendingHeaderStyle>

<SortedDescendingCellStyle BackColor="#E9EBEF"></SortedDescendingCellStyle>

<SortedDescendingHeaderStyle BackColor="#4870BE"></SortedDescendingHeaderStyle>
</asp:GridView>

    </td>
    </tr>
    
    </table>
</asp:Content>
