﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AMCDue_Report.aspx.cs"
    Inherits="FixedAssetsManagement.AMC_Due_Report" MasterPageFile="~/MainMaster.Master"
    Title="AMC Due Report" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="AjaxToolkit" %>
<%@ Register Assembly="AISWebCommon" Namespace="AISWebCommon.AisControls" TagPrefix="AIS" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxTabControl" TagPrefix="dxtc" %>
<%-- @ Register Assembly="DevExpress.XtraReports.v10.1.Web, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.XtraReports.Web" TagPrefix="dxxr" --%>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxRoundPanel" TagPrefix="dxrp" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxPanel" TagPrefix="dxp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxRoundPanel" TagPrefix="dxrp" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.XtraPrinting" TagPrefix="dxrp" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxClasses" TagPrefix="dxw" %>
<asp:Content ID="Content1" ContentPlaceHolderID="Mainhead" runat="server">
    <style type="text/css">
        .style1
        {
            width: 14px;
        }
        .style2
        {
            width: 31px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentMiddle" runat="server">
    <dxrp:ASPxRoundPanel ID="ASPxRoundPanel2" runat="server" BackColor="White" CssFilePath="~/App_Themes/Aqua/{0}/styles.css"
        CssPostfix="Aqua" HeaderText=" " Width="960px">
        <TopEdge>
            <BackgroundImage ImageUrl="~/App_Themes/Aqua/Web/rpTopEdge.gif" Repeat="RepeatX"
                VerticalPosition="Top" />
        </TopEdge>
        <LeftEdge>
            <BackgroundImage ImageUrl="~/App_Themes/Aqua/Web/rpLeftEdge.gif" Repeat="RepeatY"
                VerticalPosition="Top" />
        </LeftEdge>
        <BottomRightCorner Height="5px" Url="~/App_Themes/Aqua/Web/rpBottomRight.png" Width="5px" />
        <ContentPaddings Padding="4px" />
        <NoHeaderTopRightCorner Height="5px" Url="~/App_Themes/Aqua/Web/rpNoHeaderTopRight.png"
            Width="5px" />
        <RightEdge>
            <BackgroundImage ImageUrl="~/App_Themes/Aqua/Web/rpRightEdge.gif" Repeat="RepeatY"
                VerticalPosition="Top" />
        </RightEdge>
        <HeaderRightEdge>
            <BackgroundImage ImageUrl="~/App_Themes/Aqua/Web/rpHeaderBackground.gif" Repeat="RepeatX"
                VerticalPosition="Top" />
        </HeaderRightEdge>
        <Border BorderColor="#AECAF0" BorderStyle="Solid" BorderWidth="1px" />
        <HeaderLeftEdge>
            <BackgroundImage ImageUrl="~/App_Themes/Aqua/Web/rpHeaderBackground.gif" Repeat="RepeatX"
                VerticalPosition="Top" />
        </HeaderLeftEdge>
        <HeaderStyle BackColor="#E0EDFF">
            <BorderBottom BorderColor="#AECAF0" BorderStyle="Solid" BorderWidth="1px" />
        </HeaderStyle>
        <BottomEdge>
            <BackgroundImage ImageUrl="~/App_Themes/Aqua/Web/rpBottomEdge.gif" Repeat="RepeatX"
                VerticalPosition="Bottom" />
        </BottomEdge>
        <TopRightCorner Height="5px" Url="~/App_Themes/Aqua/Web/rpTopRight.png" Width="5px" />
        <HeaderContent>
            <BackgroundImage ImageUrl="~/App_Themes/Aqua/Web/rpHeaderBackground.gif" Repeat="RepeatX"
                VerticalPosition="Top" />
        </HeaderContent>
        <NoHeaderTopEdge BackColor="White">
            <BackgroundImage ImageUrl="~/App_Themes/Aqua/Web/rpNoHeaderTopEdge.gif" Repeat="RepeatX"
                VerticalPosition="Top" />
        </NoHeaderTopEdge>
        <NoHeaderTopLeftCorner Height="5px" Url="~/App_Themes/Aqua/Web/rpNoHeaderTopLeft.png"
            Width="5px" />
        <PanelCollection>
            <dxp:PanelContent ID="PanelContent1" runat="server">
                <div style="float: right">
                    <asp:Label ID="lblexport" runat="server" Font-Size="10pt" Text="Export Data"></asp:Label>
                    &nbsp;&nbsp;<asp:ImageButton ID="ImageButton1" runat="server" Height="26px" ImageUrl="~/Images/xls_ico.gif"
                        PostBackUrl="~/AMC_Due_Report.aspx?Export=Yes&Type=Excel" TabIndex="8" Width="30px" />
                    &nbsp;<asp:ImageButton ID="ImageButton2" runat="server" ImageUrl="~/Images/RTF_icon.jpg"
                        PostBackUrl="~/AMC_Due_Report.aspx?Export=Yes&Type=Word" TabIndex="9" Width="30px" /></div>
                <table>
                    <tr>
                        <td valign="middle" class="style1">
                            <asp:Label ID="lblFrom" runat="server" Text="From Date" Width="100px"></asp:Label>
                        </td>
                        <td valign="middle" class="style2">
                            <asp:TextBox ID="txtFromDate" runat="server"></asp:TextBox>
                            <AjaxToolkit:CalendarExtender ID="txtFromDate_CalendarExtender" runat="server" Enabled="True"
                                TargetControlID="txtFromDate" Format="dd/MMM/yyyy">
                            </AjaxToolkit:CalendarExtender>
                        </td>
                        <td valign="middle">
                            <asp:Label ID="lblTo" runat="server" Text="To Date" Width="100px"></asp:Label>
                        </td>
                        <td valign="middle">
                            <asp:TextBox ID="txtToDate" runat="server"></asp:TextBox>
                            <AjaxToolkit:CalendarExtender ID="txtToDate_CalendarExtender" runat="server" Enabled="True"
                                TargetControlID="txtToDate" Format="dd/MMM/yyyy">
                            </AjaxToolkit:CalendarExtender>
                        </td>
                        <td valign="middle">
                            <asp:Button ID="btnShow" runat="server" Text="Show" OnClick="btnShow_Click" />
                        </td>
                    </tr>
                </table>
                <br />
                <div>
                    <table width="100%">
                        <tr>
                            <td>
                                <dxwgv:ASPxGridView ID="gvAMCDue" runat="server" AutoGenerateColumns="False" KeyFieldName="code"
                                    CssFilePath="~/App_Themes/Aqua/{0}/styles.css" CssPostfix="Aqua" Width="99%">
                                    <Columns>
                                        <dxwgv:GridViewDataTextColumn Caption="Item Description" FieldName="description"
                                            VisibleIndex="0">
                                        </dxwgv:GridViewDataTextColumn>
                                        <dxwgv:GridViewDataTextColumn Caption="Location" FieldName="currloc" VisibleIndex="1">
                                        </dxwgv:GridViewDataTextColumn>
                                        <dxwgv:GridViewDataTextColumn Caption="Model No" FieldName="modelno" VisibleIndex="2">
                                        </dxwgv:GridViewDataTextColumn>
                                        <dxwgv:GridViewDataTextColumn Caption="Current Vendor" FieldName="vendor" VisibleIndex="2">
                                        </dxwgv:GridViewDataTextColumn>
                                        <dxwgv:GridViewDataTextColumn Caption="AMC Expiry Date" FieldName="Expiry Date" VisibleIndex="2">
                                        </dxwgv:GridViewDataTextColumn>
                                    </Columns>
                                    <SettingsPager PageSize="13">
                                        <AllButton>
                                            <Image Height="19px" Width="27px" />
                                        </AllButton>
                                        <FirstPageButton>
                                            <Image Height="19px" Width="23px" />
                                        </FirstPageButton>
                                        <LastPageButton>
                                            <Image Height="19px" Width="23px" />
                                        </LastPageButton>
                                        <NextPageButton>
                                            <Image Height="19px" Width="19px" />
                                        </NextPageButton>
                                        <PrevPageButton>
                                            <Image Height="19px" Width="19px" />
                                        </PrevPageButton>
                                    </SettingsPager>
                                    <Settings ShowFilterRow="True" ShowHorizontalScrollBar="true" />
                                    <SettingsBehavior AllowFocusedRow="true" />
                                    <SettingsLoadingPanel Text="" />
                                    <Images ImageFolder="~/App_Themes/Aqua/{0}/">
                                        <CollapsedButton Height="15px" Url="~/App_Themes/Aqua/GridView/gvCollapsedButton.png"
                                            Width="15px" />
                                        <ExpandedButton Height="15px" Url="~/App_Themes/Aqua/GridView/gvExpandedButton.png"
                                            Width="15px" />
                                        <DetailCollapsedButton Height="15px" Url="~/App_Themes/Aqua/GridView/gvDetailCollapsedButton.png"
                                            Width="15px" />
                                        <DetailExpandedButton Height="15px" Url="~/App_Themes/Aqua/GridView/gvDetailExpandedButton.png"
                                            Width="15px" />
                                        <HeaderFilter Height="19px" Url="~/App_Themes/Aqua/GridView/gvHeaderFilter.png" Width="19px" />
                                        <HeaderActiveFilter Height="19px" Url="~/App_Themes/Aqua/GridView/gvHeaderFilterActive.png"
                                            Width="19px" />
                                        <HeaderSortDown Height="5px" Url="~/App_Themes/Aqua/GridView/gvHeaderSortDown.png"
                                            Width="7px" />
                                        <HeaderSortUp Height="5px" Url="~/App_Themes/Aqua/GridView/gvHeaderSortUp.png" Width="7px" />
                                        <FilterRowButton Height="13px" Width="13px" />
                                        <WindowResizer Height="13px" Url="~/App_Themes/Aqua/GridView/WindowResizer.png" Width="13px" />
                                    </Images>
                                    <ImagesEditors>
                                        <CalendarFastNavPrevYear Height="19px" Url="~/App_Themes/Aqua/Editors/edtCalendarFNPrevYear.png"
                                            Width="19px" />
                                        <CalendarFastNavNextYear Height="19px" Url="~/App_Themes/Aqua/Editors/edtCalendarFNNextYear.png"
                                            Width="19px" />
                                        <DropDownEditDropDown Height="7px" Url="~/App_Themes/Aqua/Editors/edtDropDown.png"
                                            UrlDisabled="~/App_Themes/Aqua/Editors/edtDropDownDisabled.png" UrlHottracked="~/App_Themes/Aqua/Editors/edtDropDownHottracked.png"
                                            Width="9px" />
                                        <SpinEditIncrement Height="6px" Url="~/App_Themes/Aqua/Editors/edtSpinEditIncrementImage.png"
                                            UrlDisabled="~/App_Themes/Aqua/Editors/edtSpinEditIncrementDisabledImage.png"
                                            UrlHottracked="~/App_Themes/Aqua/Editors/edtSpinEditIncrementHottrackedImage.png"
                                            UrlPressed="~/App_Themes/Aqua/Editors/edtSpinEditIncrementHottrackedImage.png"
                                            Width="7px" />
                                        <SpinEditDecrement Height="7px" Url="~/App_Themes/Aqua/Editors/edtSpinEditDecrementImage.png"
                                            UrlDisabled="~/App_Themes/Aqua/Editors/edtSpinEditDecrementDisabledImage.png"
                                            UrlHottracked="~/App_Themes/Aqua/Editors/edtSpinEditDecrementHottrackedImage.png"
                                            UrlPressed="~/App_Themes/Aqua/Editors/edtSpinEditDecrementHottrackedImage.png"
                                            Width="7px" />
                                        <SpinEditLargeIncrement Height="9px" Url="~/App_Themes/Aqua/Editors/edtSpinEditLargeIncImage.png"
                                            UrlDisabled="~/App_Themes/Aqua/Editors/edtSpinEditLargeIncDisabledImage.png"
                                            UrlHottracked="~/App_Themes/Aqua/Editors/edtSpinEditLargeIncHottrackedImage.png"
                                            UrlPressed="~/App_Themes/Aqua/Editors/edtSpinEditLargeIncHottrackedImage.png"
                                            Width="7px" />
                                        <SpinEditLargeDecrement Height="9px" Url="~/App_Themes/Aqua/Editors/edtSpinEditLargeDecImage.png"
                                            UrlDisabled="~/App_Themes/Aqua/Editors/edtSpinEditLargeDecDisabledImage.png"
                                            UrlHottracked="~/App_Themes/Aqua/Editors/edtSpinEditLargeDecHottrackedImage.png"
                                            UrlPressed="~/App_Themes/Aqua/Editors/edtSpinEditLargeDecHottrackedImage.png"
                                            Width="7px" />
                                    </ImagesEditors>
                                    <Styles CssFilePath="~/App_Themes/Aqua/{0}/styles.css" CssPostfix="Aqua">
                                    </Styles>
                                    <StylesEditors>
                                        <ProgressBar Height="25px">
                                        </ProgressBar>
                                    </StylesEditors>
                                </dxwgv:ASPxGridView>
                            </td>
                        </tr>
                    </table>
                </div>
            </dxp:PanelContent>
        </PanelCollection>
        <TopLeftCorner Height="5px" Url="~/App_Themes/Aqua/Web/rpTopLeft.png" Width="5px" />
        <BottomLeftCorner Height="5px" Url="~/App_Themes/Aqua/Web/rpBottomLeft.png" Width="5px" />
        <HeaderTemplate>
            &nbsp;
        </HeaderTemplate>
    </dxrp:ASPxRoundPanel>
</asp:Content>
