﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AMC_Register.aspx.cs" Inherits="FixedAssetsManagement.AMC_Register"
    MasterPageFile="~/MainMaster.Master" Title="AMC Register" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="AjaxToolkit" %>
<%@ Register Assembly="AISWebCommon" Namespace="AISWebCommon.AisControls" TagPrefix="AIS" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Mainhead" runat="server">
    <link href="CSS/Common.css" rel="Stylesheet" type="text/css" />
    <style type="text/css">
        #heading
        {
            width: 520px;
            text-align: right;
            font-size: 11pt;
        }
        .style4
        {
            width: 70px;
        }
    </style>

    <script type="text/javascript">
 function ShowForm(icode)
    {
             var WinSettings = "center:yes;resizable:no;dialogHeight:1000px;dialogWidth:900px"
            var MyArgs = new Array(1);
            window.showModalDialog("FixedAssetTrans.aspx?Code=" + icode +"&tab=0", MyArgs, WinSettings );
    }
    
//    function  GetItemSelection(rbitem)
//   {
//     var rb = document.getElementById ("<%= rdbSelectedItem.ClientID %>");
// 
//     var rb1 = document.getElementsByName(rbitem);
//     var loc = document.getElementById ('<%= ddItems.ClientID %>');
//   
//   if(rb.checked==true )
//    {
//    loc.disabled = false;
//    }
//    else
//    {
//      loc.disabled = true;
//    } 
//     

//   }
//   
//    function  GetVendorSelection(rbitem)
//   {
//     var rb = document.getElementById ("<%= rdbSelectedvendor.ClientID %>");
// 
//     var rb1 = document.getElementsByName(rbitem);
//     var loc = document.getElementById ('<%= ddVendor.ClientID %>');
//   
//   if(rb.checked==true )
//    {
//    loc.disabled = false;
//    }
//    else
//    {
//      loc.disabled = true;
//    }   
//   }
//   
    function HidePanel(ddlId) {

            var index = ddlId;
            var now = new Date();

            document.getElementById("<%= txtToDate.ClientID %>").value = now.format("dd/MMM/yyyy");

            if (index == 1) {
                now.setDate(now.getDate() - 1);
            }
            else if (index == 2) {
                now.setDate(now.getDate() - 7);
            }
            else if (index == 3) {
                now.setMonth(now.getMonth() - 1);
	now.setDate(now.getDate() - 1);
            }
            document.getElementById("<%= txtFromDate.ClientID %>").value = now.format("dd/MMM/yyyy");

            if (index != 4)  //it depends on which value Selection do u want to hide or show your textbox
            {
                document.getElementById("<%= txtFromDate.ClientID %>").disabled = true;
                document.getElementById("<%= txtToDate.ClientID %>").disabled = true;
            }
            else {
                document.getElementById("<%= txtFromDate.ClientID %>").disabled = false;
                document.getElementById("<%= txtToDate.ClientID %>").disabled = false;
            }
        } 
    </script>

    </asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentMiddle" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">

        <ContentTemplate>
        
            <table width="100%">
            <tr><td colspan="10" align="center" style="background-color:#507CD1; color:white">AMC Register</td></tr>
            <tr>
            <td align="right" colspan="6">
            
                <asp:Label ID="lblexport" runat="server" Font-Size="10pt" Text="Export Data"></asp:Label></td>
                <td><asp:ImageButton ID="ImageButton1" runat="server" Height="26px" 
                    ImageUrl="~/Images/xls_ico.gif" 
                    PostBackUrl="~/AMC_Register.aspx?Export=Yes&amp;Type=Excel" TabIndex="3" 
                    Width="30px" />
                <asp:ImageButton ID="ImageButton2" runat="server" 
                    ImageUrl="~/Images/RTF_icon.jpg" 
                    PostBackUrl="~/AMC_Register.aspx?Export=Yes&amp;Type=Word" TabIndex="4" 
                    Width="30px" /></td>
                    <tr><td >
                    Select Period
                    </td>
                    
                    <td>
                <asp:DropDownList ID="days" runat="server" 
                    onchange="HidePanel(this.selectedIndex);" ViewStateMode="Enabled">
                    <asp:ListItem Selected="True">Today</asp:ListItem>
                    <asp:ListItem>Yesterday</asp:ListItem>
                    <asp:ListItem>Within One Week</asp:ListItem>
                    <asp:ListItem>Within One Month</asp:ListItem>
                    <asp:ListItem>Specify Range</asp:ListItem>
                </asp:DropDownList>
                <td >
                    From Date
                    </td>

                <td><asp:TextBox ID="txtFromDate" runat="server" Enabled="False"></asp:TextBox>
                <AjaxToolkit:CalendarExtender ID="txtFromDate_CalendarExtender" runat="server" 
                    Enabled="True" Format="dd/MMM/yyyy" TargetControlID="txtFromDate">
                </AjaxToolkit:CalendarExtender></td>
                <td >
                    To Date
                    </td>
                <td><asp:TextBox ID="txtToDate" runat="server" Enabled="False"></asp:TextBox>
                <AjaxToolkit:CalendarExtender ID="txtToDate_CalendarExtender" runat="server" 
                    Enabled="True" Format="dd/MMM/yyyy" TargetControlID="txtToDate">
                </AjaxToolkit:CalendarExtender></td>

                <td><asp:Button ID="btnShow" runat="server" OnClick="btnShow_Click" Style="background-color: ActiveBorder; color: Black;
                                            height: 26px;" Text="Show" /></td>
                </tr>
                <tr><td colspan="10"><asp:Panel ID="pan_filter" runat="server">
                    <table style="width: 50%">
                        <tr>
                            <td >
                                <asp:Label ID="Label1" runat="server" Text="Vendor"></asp:Label>
                            </td>
                            <td>
                                <asp:RadioButton ID="rdbAllvendor" runat="server" Checked="True" 
                                    GroupName="grpVendor" Text="All" />
                            </td>
                            <td>
                                <asp:RadioButton ID="rdbSelectedvendor" runat="server" GroupName="grpVendor" 
                                    Text="Selected" />
                            </td>
                            <td>
                                <asp:DropDownList ID="ddVendor" runat="server" DataTextField="name" 
                                    DataValueField="code" Enabled="False">
                                </asp:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td class="style4">
                                <asp:Label ID="Label2" runat="server" Text="Item"></asp:Label>
                            </td>
                            <td>
                                <asp:RadioButton ID="rdbAllItem" runat="server" Checked="True" 
                                    GroupName="grpItem" Text="All" />
                            </td>
                            <td>
                                <asp:RadioButton ID="rdbSelectedItem" runat="server" GroupName="grpItem" 
                                    Text="Selected" />
                            </td>
                            <td>
                                <asp:DropDownList ID="ddItems" runat="server" DataTextField="name" 
                                    DataValueField="icode" Enabled="False">
                                </asp:DropDownList>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                </td></tr>
                
            
            </td>
            </tr>

            <tr>
            <td colspan="10">
                <asp:GridView ID="maingrida" runat="server" AllowPaging="True" 
                    AutoGenerateColumns="False" CellPadding="4" ForeColor="#333333" 
                    GridLines="None" OnPageIndexChanging="maingrida_PageIndexChanging" 
                    OnSelectedIndexChanged="maingrida_SelectedIndexChanged" Width="100%">
                    <AlternatingRowStyle BackColor="White" />
                    <Columns>
                        <asp:BoundField DataField="FACode" HeaderText="FACode" Visible="False">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Icode" HeaderText="ICode" Visible="False">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Itemname" HeaderText="Item">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Location" HeaderText="Location">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Vcode" HeaderText="VendorCode" Visible="False">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Vendorname" HeaderText="Vendor">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="StartDate" HeaderText="AMC Start Date">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="EndDate" HeaderText="AMC End Date">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderText="Edit">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox1" runat="server"></asp:TextBox>
                            </EditItemTemplate>
                            <ItemTemplate>
                                <a id="LinkButton1" href="#" onclick='ShowForm(&#039;<%#Eval("facode")%>&#039;);' 
                                    style="font-size: small">Edit</a> &nbsp;
                            </ItemTemplate>
                            <HeaderStyle HorizontalAlign="Left" />
                        </asp:TemplateField>
                    </Columns>
                    <EditRowStyle BackColor="#2461BF" />
                    <FooterStyle BackColor="#507CD1" Font-Size="Small" ForeColor="White" />
                    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                    <PagerStyle BackColor="#2461BF" Font-Size="Small" ForeColor="White" 
                        HorizontalAlign="Center" />
                    <RowStyle BackColor="#EFF3FB" />
                    <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
                    <SortedAscendingCellStyle BackColor="#F5F7FB" />
                    <SortedAscendingHeaderStyle BackColor="#6D95E1" />
                    <SortedDescendingCellStyle BackColor="#E9EBEF" />
                    <SortedDescendingHeaderStyle BackColor="#4870BE" />
                </asp:GridView>
                </td>
            </tr>
            </table>
            
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
