﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AssetSumarryReport.aspx.cs"
    Inherits="FixedAssetsManagement.AssetSumarryReport" MasterPageFile="~/MainMaster.Master"
    Title="Fixed Asset Summary" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="AjaxToolkit" %>
<%@ Register Assembly="AISWebCommon" Namespace="AISWebCommon.AisControls" TagPrefix="AIS" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Mainhead" runat="server">
    <link href="CSS/Common.css" rel="Stylesheet" type="text/css" />

    <script language="javascript" type="text/javascript">
    function ShowForm(code)
    {
            var MyArgs = new Array(1);                       
                  
            window.location = "FixedAssetReport.aspx?code="+code;
    }
   
    </script>

    <style type="text/css">
        #heading
        {
            width: 580px;
            text-align: right;
        }
        </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentMiddle" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <table width="50%">
            <tr><td colspan="10" align="center" style="background-color:#507CD1; color:white">Fixed Asset Summery</td></tr>
            <tr><td align="right">
            
                <asp:Label ID="lblexport" runat="server" Font-Size="10pt" Text="Export Data"></asp:Label>
                <asp:ImageButton ID="ImageButton1" runat="server" Height="26px" 
                    ImageUrl="~/Images/xls_ico.gif" 
                    PostBackUrl="~/AssetSumarryReport.aspx?Export=Yes&amp;Type=Excel" 
                    Width="30px" />
                <asp:ImageButton ID="ImageButton2" runat="server" 
                    ImageUrl="~/Images/RTF_icon.jpg" 
                    PostBackUrl="~/AssetSumarryReport.aspx?Export=Yes&amp;Type=Word" TabIndex="1" 
                    Width="30px" />
            
            </td></tr>
            <tr>
            <td> 
                <asp:GridView ID="maingrida" runat="server" AllowPaging="True" 
                    AutoGenerateColumns="False" CellPadding="4" ForeColor="#333333" 
                    GridLines="None" OnPageIndexChanging="maingrida_PageIndexChanging" 
                    OnSelectedIndexChanged="maingrida_SelectedIndexChanged" Width="100%">
                    <AlternatingRowStyle BackColor="White" />
                    <Columns>
                        
                        <asp:BoundField DataField="Icode" HeaderText="ICode" Visible="False">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="NAME" HeaderText="Name">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Quantity" HeaderText="Quantity">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderText="Edit">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox1" runat="server"></asp:TextBox>
                            </EditItemTemplate>
                            <ItemTemplate>
                                <a ID="LinkButton1" href="#" onclick='ShowForm(&#039;<%#Eval("icode")%>&#039;);' 
                                    style="font-size: small">Edit</a> &nbsp;
                            </ItemTemplate>
                            <HeaderStyle HorizontalAlign="Left" />
                        </asp:TemplateField>
                    </Columns>
                    <EditRowStyle BackColor="#2461BF" />
                    <FooterStyle BackColor="#507CD1" Font-Size="Small" ForeColor="White" />
                    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                    <PagerStyle BackColor="#2461BF" Font-Size="Small" ForeColor="White" 
                        HorizontalAlign="Center" />
                    <RowStyle BackColor="#EFF3FB" />
                    <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
                    <SortedAscendingCellStyle BackColor="#F5F7FB" />
                    <SortedAscendingHeaderStyle BackColor="#6D95E1" />
                    <SortedDescendingCellStyle BackColor="#E9EBEF" />
                    <SortedDescendingHeaderStyle BackColor="#4870BE" />
                </asp:GridView>
                </td>
            </tr>
            </table>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
