﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="FA_AMC_ComplaintRegister.aspx.cs"
    Inherits="FixedAssetsManagement.FA_AMC_ComplaintRegister" Title="Complaint Register"
    MasterPageFile="~/ReportMaster.Master" %>

<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxTabControl" TagPrefix="dxtc" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="AjaxToolkit" %>
<%@ Register assembly="DevExpress.Web.v10.1" namespace="DevExpress.Web.ASPxTabControl" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v10.1" namespace="DevExpress.Web.ASPxClasses" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v10.1" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v10.1" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%-- @ Register Assembly="DevExpress.XtraReports.v10.1.Web, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.XtraReports.Web" TagPrefix="dxxr" --%>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxRoundPanel" TagPrefix="dxrp" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxPanel" TagPrefix="dxp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.v10.6, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxRoundPanel" TagPrefix="dxrp" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.XtraPrinting" TagPrefix="dxrp" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxClasses" TagPrefix="dxw" %>
<%@ Register Assembly="AISWebCommon" Namespace="AISWebCommon.AisControls" TagPrefix="AIS" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>Complaint Register</title>
    <style type="text/css">
        .dxgvControl, .dxgvDisabled
        {
            border: Solid 1px #9F9F9F;
            font: 11px Tahoma;
            background-color: #F2F2F2;
            color: Black;
            cursor: default;
        }
        .dxgvTable
        {
            background-color: White;
            border: 0;
            border-collapse: separate !important;
            overflow: hidden;
            font: 9pt Tahoma;
            color: Black;
        }
        .dxgvHeader
        {
            cursor: pointer;
            white-space: nowrap;
            padding: 4px 6px 5px 6px;
            border: Solid 1px #9F9F9F;
            background-color: #DCDCDC;
            overflow: hidden;
            -moz-user-select: none;
            font-weight: normal;
            text-align: left;
        }
        #form1
        {
            height: 520px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="pageContent" runat="server">
    <br />
    <br />
    <br />
    <br />
    <asp:ScriptManager ID="smp" runat="server" />
    <asp:UpdatePanel ID="upd" runat="server">
        <ContentTemplate>
            <table>
                <tr>
                    <td valign="middle">
                        <dxe:ASPxLabel ID="lbFromDate" runat="server" Text="Date From : " EnableViewState="False"
                            Width="100px" />
                    </td>
                    <td valign="middle">
                        <dxe:ASPxDateEdit ID="FromDate" runat="server" Width="100px" />
                    </td>
                    <td valign="middle">
                        <dxe:ASPxLabel ID="lbToDate" runat="server" Text="Date To : " EnableViewState="False"
                            Width="100px" Height="16px" />
                    </td>
                    <td valign="middle">
                        <dxe:ASPxDateEdit ID="ToDate" runat="server" Width="100px" EnableViewState="False" />
                    </td>
                    <td style="width: 50px;">
                    </td>
                    <td valign="middle">
                        <dxe:ASPxButton ID="btShow" runat="server" Width="100px" Text="Show" OnClick="btShow_Click" />
                    </td>
                    <td style="width: 100px;">
                    </td>
                    <td valign="middle">
                        <asp:Panel ID="pan_control" runat="server">
                            <asp:Image ID="Img" runat="server" ImageUrl="~/Images/expand_blue.jpg" Style="float: right;"
                                Height="16px" Width="16px" AlternateText="" ToolTip="Show Filters" />
                        </asp:Panel>
                    </td>
                </tr>
            </table>
            <asp:Panel ID="pan_filter" runat="server" Height="28px">
                <table>
                    <tr>
                        <td valign="middle">
                            <dxe:ASPxLabel ID="lbvendorselect" runat="server" Text="select vendor : " EnableViewState="false"
                                Width="100px" />
                        </td>
                        <td valign="middle">
                            <AIS:AisWebComboBox ID="txtvendorselect" runat="server" Width="100px">
                            </AIS:AisWebComboBox>
                        </td>
                    </tr>
                </table>
            </asp:Panel>
            <AjaxToolkit:CollapsiblePanelExtender ID="cpeDemo" runat="Server" TargetControlID="pan_filter"
                ExpandControlID="pan_control" CollapseControlID="pan_control" Collapsed="True"
                SuppressPostBack="true" CollapsedImage="~/Images/expand_blue.jpg" ExpandedImage="~/Images/collapse_blue.jpg"
                ImageControlID="Img" />
            <br />
            <br />
            <dxtc:ASPxPageControl ID="ASPxPageControl1" runat="server" ActiveTabIndex="0" Height="242px"
                Width="800px" CssPostfix="Aqua" CssFilePath="~/App_Themes/Aqua/{0}/styles.css"
                LoadingPanelText="Loading Data ...." TabSpacing="3px">
                <TabPages>
                    <dxtc:TabPage Text="Resolved">
                        <ContentCollection>
                            <dxw:ContentControl runat="server">
                                <dxwgv:ASPxGridView ID="faResolvedGridView" runat="server" Width="800px" AutoGenerateColumns="false"
                                    CssPostfix="Aqua" CssFilePath="~/App_Themes/Aqua/{0}/styles.css">
                                    <Columns>
                                        <dxwgv:GridViewDataTextColumn Caption="ISSUE DATE" FieldName="ISSUE DATE" VisibleIndex="0">
                                        </dxwgv:GridViewDataTextColumn>
                                        <dxwgv:GridViewDataTextColumn Caption="COMPLAINT NO" FieldName="COMPLAINT NO" VisibleIndex="1">
                                        </dxwgv:GridViewDataTextColumn>
                                        <dxwgv:GridViewDataTextColumn Caption="COMPLAINT BY" FieldName="COMPLAINT BY" VisibleIndex="2">
                                        </dxwgv:GridViewDataTextColumn>
                                        <dxwgv:GridViewDataTextColumn Caption="VENDOR" FieldName="VENDOR" VisibleIndex="3">
                                        </dxwgv:GridViewDataTextColumn>
                                        <dxwgv:GridViewDataTextColumn Caption="EXPIRING RESOLVE DATE" FieldName="EXPIRING RESOLVE DATE"
                                            VisibleIndex="4">
                                        </dxwgv:GridViewDataTextColumn>
                                        <dxwgv:GridViewDataTextColumn Caption="REMARKS" FieldName="REMARKS" VisibleIndex="5">
                                        </dxwgv:GridViewDataTextColumn>
                                    </Columns>
                                    <Styles CssFilePath="~/App_Themes/Aqua/{0}/styles.css" CssPostfix="Aqua">
                                    </Styles>
                                </dxwgv:ASPxGridView>
                            </dxw:ContentControl>
                        </ContentCollection>
                    </dxtc:TabPage>
                    <dxtc:TabPage Text="Pending">
                        <ContentCollection>
                            <dxw:ContentControl runat="server">
                                <dxwgv:ASPxGridView ID="faGridView" runat="server" AutoGenerateColumns="False" CssFilePath="~/App_Themes/Aqua/{0}/styles.css"
                                    CssPostfix="Aqua" Width="99%">
                                    <Columns>
                                        <dxwgv:GridViewDataTextColumn Caption="ISSUE DATE" FieldName="ISSUE DATE" VisibleIndex="0">
                                        </dxwgv:GridViewDataTextColumn>
                                        <dxwgv:GridViewDataTextColumn Caption="COMPLAINT NO" FieldName="COMPLAINT NO" VisibleIndex="1">
                                        </dxwgv:GridViewDataTextColumn>
                                        <dxwgv:GridViewDataTextColumn Caption="COMPLAINT BY" FieldName="COMPLAINT BY" VisibleIndex="2">
                                        </dxwgv:GridViewDataTextColumn>
                                        <dxwgv:GridViewDataTextColumn Caption="VENDOR" FieldName="VENDOR" VisibleIndex="3">
                                        </dxwgv:GridViewDataTextColumn>
                                        <dxwgv:GridViewDataTextColumn Caption="EXPIRING RESOLVE DATE" FieldName="EXPIRING RESOLVE DATE"
                                            VisibleIndex="4">
                                        </dxwgv:GridViewDataTextColumn>
                                        <dxwgv:GridViewDataTextColumn Caption="REMARKS" FieldName="REMARKS" VisibleIndex="5">
                                        </dxwgv:GridViewDataTextColumn>
                                    </Columns>
                                    <Styles CssFilePath="~/App_Themes/Aqua/{0}/styles.css" CssPostfix="Aqua">
                                    </Styles>
                                </dxwgv:ASPxGridView>
                            </dxw:ContentControl>
                        </ContentCollection>
                    </dxtc:TabPage>
                </TabPages>
            </dxtc:ASPxPageControl>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
