﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="FA_ServiceContract.aspx.cs"
    Inherits="FixedAssetsManagement.FA_ServiceContract" Title="Service Contract"
    MasterPageFile="~/ReportMaster.Master" %>

<%@ Register Assembly="AISWebCommon" Namespace="AISWebCommon.AisControls" TagPrefix="AIS" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxTabControl" TagPrefix="dxtc" %>
<%-- @ Register Assembly="DevExpress.XtraReports.v10.1.Web, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.XtraReports.Web" TagPrefix="dxxr" --%>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxRoundPanel" TagPrefix="dxrp" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxPanel" TagPrefix="dxp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxRoundPanel" TagPrefix="dxrp" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.XtraPrinting" TagPrefix="dxrp" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxClasses" TagPrefix="dxw" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="AjaxToolkit" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>Service Contract</title>
    <style type="text/css">
        .dxgvControl, .dxgvDisabled
        {
            border: Solid 1px #9F9F9F;
            font: 11px Tahoma;
            background-color: #F2F2F2;
            color: Black;
            cursor: default;
        }
        .dxgvTable
        {
            background-color: White;
            border: 0;
            border-collapse: separate !important;
            overflow: hidden;
            font: 9pt Tahoma;
            color: Black;
        }
        .dxgvHeader
        {
            cursor: pointer;
            white-space: nowrap;
            padding: 4px 6px 5px 6px;
            border: Solid 1px #9F9F9F;
            background-color: #DCDCDC;
            overflow: hidden;
            -moz-user-select: none;
            font-weight: normal;
            text-align: left;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="pageContent" runat="server">
    <br />
    <br />
    <br />
    <br />
    <asp:ScriptManager ID="smp" runat="server" />
    <asp:UpdatePanel ID="upd" runat="server">
        <ContentTemplate>
            <table>
                <tr>
                    <td valign="middle">
                        <dxe:ASPxLabel ID="lbFromDate" runat="server" Text="Date From : " EnableViewState="False"
                            Width="100px" />
                    </td>
                    <td valign="middle">
                        <dxe:ASPxDateEdit ID="FromDate" runat="server" Width="100px" />
                    </td>
                    <td valign="middle">
                        <dxe:ASPxLabel ID="lbToDate" runat="server" Text="Date To : " EnableViewState="False"
                            Width="100px" Height="16px" />
                    </td>
                    <td valign="middle">
                        <dxe:ASPxDateEdit ID="ToDate" runat="server" Width="100px" EnableViewState="False" />
                    </td>
                    <td style="width: 50px;">
                    </td>
                    <td valign="middle">
                        <dxe:ASPxButton ID="btShow" runat="server" Width="100px" Text="Show" OnClick="btShow_Click" />
                    </td>
                    <td style="width: 100px;">
                    </td>
                    <td valign="middle">
                        <asp:Panel ID="pan_control" runat="server">
                            <asp:Image ID="Img" runat="server" ImageUrl="~/Images/expand_blue.jpg" Style="float: right;"
                                Height="16px" Width="16px" AlternateText="" ToolTip="Show Filters" />
                        </asp:Panel>
                    </td>
                </tr>
            </table>
            <asp:Panel ID="pan_filter" runat="server" Height="28px">
                <table>
                    <tr>
                        <td valign="middle">
                            <dxe:ASPxLabel ID="lbvendor" runat="server" Text="select vendor : " EnableViewState="false"
                                Width="100px" />
                        </td>
                        <td valign="middle">
                            <AIS:AisWebComboBox ID="txtVendor" runat="server">
                            </AIS:AisWebComboBox>
                        </td>
                    </tr>
                </table>
            </asp:Panel>
            <AjaxToolkit:CollapsiblePanelExtender ID="cpeDemo" runat="Server" TargetControlID="pan_filter"
                ExpandControlID="pan_control" CollapseControlID="pan_control" Collapsed="True"
                SuppressPostBack="true" CollapsedImage="~/Images/expand_blue.jpg" ExpandedImage="~/Images/collapse_blue.jpg"
                ImageControlID="Img" />
            <br />
            <dxwgv:ASPxGridView ID="faGridView" runat="server" Width="800px" AutoGenerateColumns="false"
                CssPostfix="Aqua" CssFilePath="~/App_Themes/Aqua/{0}/styles.css">
                <Columns>
                    <dxwgv:GridViewDataTextColumn Caption="Code" FieldName="Code" Name="Code" Visible="False"
                        VisibleIndex="1">
                    </dxwgv:GridViewDataTextColumn>
                    <dxwgv:GridViewDataTextColumn Caption="Asset Code" FieldName="FACode" Name="FACode"
                        Visible="False" VisibleIndex="1">
                    </dxwgv:GridViewDataTextColumn>
                    <dxwgv:GridViewDataTextColumn Caption="Description" FieldName="Description" Name="Description"
                        Visible="False" VisibleIndex="1">
                    </dxwgv:GridViewDataTextColumn>
                    <dxwgv:GridViewDataTextColumn Caption="Date" FieldName="CDate" Name="CDate" VisibleIndex="0">
                    </dxwgv:GridViewDataTextColumn>
                    <dxwgv:GridViewDataTextColumn Caption="Contract Type" FieldName="ContractType" Name="ContractType"
                        VisibleIndex="1">
                    </dxwgv:GridViewDataTextColumn>
                    <dxwgv:GridViewDataTextColumn Caption="Vendor Code" FieldName="Vendor" Name="Vendor"
                        Visible="False" VisibleIndex="4">
                    </dxwgv:GridViewDataTextColumn>
                    <dxwgv:GridViewDataTextColumn Caption="Vendor" FieldName="VendorName" Name="VendorName"
                        VisibleIndex="2">
                    </dxwgv:GridViewDataTextColumn>
                    <dxwgv:GridViewDataTextColumn Caption="Vendor Invoice No" FieldName="VendorInvoiceNo"
                        Name="VendorInvoiceNo" VisibleIndex="3">
                    </dxwgv:GridViewDataTextColumn>
                    <dxwgv:GridViewDataTextColumn Caption="Invoice Date" FieldName="InvoiceDate" Name="InvoiceDate"
                        VisibleIndex="4">
                    </dxwgv:GridViewDataTextColumn>
                    <dxwgv:GridViewDataTextColumn Caption="Start Date" FieldName="ServiceStart" Name="ServiceStart"
                        VisibleIndex="5">
                    </dxwgv:GridViewDataTextColumn>
                    <dxwgv:GridViewDataTextColumn Caption="End Date" FieldName="ServiceEnd" Name="ServiceEnd"
                        VisibleIndex="6">
                    </dxwgv:GridViewDataTextColumn>
                    <dxwgv:GridViewDataTextColumn Caption="Remarks" FieldName="Remarks" Name="Remarks"
                        VisibleIndex="7">
                    </dxwgv:GridViewDataTextColumn>
                </Columns>
            </dxwgv:ASPxGridView>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
