﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="FA_workingDetails.aspx.cs"
    Inherits="FixedAssetsManagement.FA_workingDetails" %>


<%@ Register Assembly="AISWebCommon" Namespace="AISWebCommon.AisControls" TagPrefix="AIS" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Fixed Assets Working Details</title>
    <style type="text/css">
        #mainPanel
        {
            padding-left: 20px;
            padding-top: 20px;
        }
    </style>

    <script type="text/javascript">
        function Showform() {
            
        var WinSettings = "center:yes;resizable:no;dialogHeight:550px;dialogWidth:730px"
            
           var MyArgs =  window.showModalDialog("PatientInfo.aspx", MyArgs, WinSettings );
           if(MyArgs != null)
           {
               var txtpatno = document.getElementById('txtregno');
               var txtname = document.getElementById('txtpatName');
               var txtage = document.getElementById('txtage');
               var txtsex = document.getElementById('txtsex');
               var txtroom = document.getElementById('txtroomNo');
               txtname.value = MyArgs[0].name;
               txtage.value = MyArgs[0].age;
               txtsex.value = MyArgs[0].sex;
               txtroom.value = MyArgs[0].room;
               txtpatno.value = MyArgs[0].patno;
            
             }
            
           
     }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <div id="mainPanel">
                 <table>
                 <tr><td colspan="5" align="center" style="background-color:#507CD1; color:white">Details</td></tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblItem" runat="server" Text="Item"></asp:Label>
                                        </td>
                                        <td colspan="2">
                                            <asp:TextBox ID="txtItem" runat="server" Enabled="False"></asp:TextBox>
                                        </td>
                                        <td>
                                            <asp:Label ID="lblLocation" runat="server" Text="Location"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtLocation" runat="server" Enabled="False"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblregno" runat="server" Text="Registration No"></asp:Label>
                                        </td>
                                        <td colspan="2">
                                            <asp:TextBox ID="txtregno" runat="server" AutoPostBack="True" Enabled="False"></asp:TextBox>
                                            &nbsp;
                                            <asp:ImageButton ID="btnshow" runat="server" OnClientClick="Showform();" TabIndex="1"
                                                ImageUrl="~/Images/searchimg.JPG" />
                                        </td>
                                        <td>
                                            <asp:Label ID="lblage" runat="server" Text="Age"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtage" runat="server" Enabled="False"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblpatname" runat="server" Text="Patient Name"></asp:Label>
                                        </td>
                                        <td colspan="2">
                                            <asp:TextBox ID="txtpatName" runat="server" Enabled="False"></asp:TextBox>
                                        </td>
                                        <td>
                                            <asp:Label ID="lblroomno" runat="server" Text="Room No"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtroomNo" runat="server" Enabled="False"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblsex" runat="server" Text="Sex"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtsex" runat="server" Enabled="False"></asp:TextBox>
                                        </td>
                                        <td>
                                            &nbsp;
                                            <asp:Label ID="Label3" runat="server" Text="HH"></asp:Label>
                                            &nbsp;&nbsp;&nbsp;
                                            <asp:Label ID="Label4" runat="server" Text="MM"></asp:Label>
                                        </td>
                                        <td>
                                            &nbsp;
                                        </td>
                                        <td>
                                            &nbsp;
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="Label1" runat="server" Text="Timing   From"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtFrom" runat="server" TabIndex="2"></asp:TextBox>
                                            <cc1:CalendarExtender ID="txtFrom_CalendarExtender" runat="server" Enabled="True"
                                                TargetControlID="txtFrom" Format="dd/MMM/yyyy">
                                            </cc1:CalendarExtender>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtFromHH" runat="server" Width="30px" Style="text-align: center"
                                                TabIndex="3"></asp:TextBox>
                                            &nbsp;<asp:TextBox ID="txtFromMM" runat="server" Width="30px" Style="text-align: center"
                                                TabIndex="4"></asp:TextBox>
                                        </td>
                                        <td>
                                            <asp:Label ID="Label5" runat="server" Text="In 24 Hrs Format" Font-Size="Small"></asp:Label>
                                        </td>
                                        <td>
                                            &nbsp;
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="Label2" runat="server" Text="To"></asp:Label>
                                        </td>
                                        <td colspan="2">
                                            <asp:TextBox ID="txtto" runat="server" TabIndex="5"></asp:TextBox>
                                            <cc1:CalendarExtender ID="txtto_CalendarExtender" runat="server" Enabled="True" Format="dd/MMM/yyyy"
                                                TargetControlID="txtto">
                                            </cc1:CalendarExtender>
                                            &nbsp;<asp:TextBox ID="txtToHH" runat="server" Width="30px" Style="text-align: center"
                                                TabIndex="6"></asp:TextBox>
                                            &nbsp;<asp:TextBox ID="txtToMM" runat="server" Width="30px" Style="text-align: center"
                                                TabIndex="7"></asp:TextBox>
                                        </td>
                                        <td>
                                            <asp:Label ID="Label6" runat="server" Text="In 24 Hrs Format" Font-Size="Small"></asp:Label>
                                        </td>
                                        <td>
                                            &nbsp;
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lbluser" runat="server" Text="User"></asp:Label>
                                        </td>
                                        <td colspan="2">
                                            <asp:TextBox ID="txtuser" runat="server" TabIndex="8"></asp:TextBox>
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblremarks" runat="server" Text="Remarks"></asp:Label>
                                        </td>
                                        <td colspan="4">
                                            <asp:TextBox ID="txtremarks" runat="server" Height="43px" Width="309px" 
                                                TabIndex="11"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            &nbsp;
                                        </td>
                                        <td colspan="4">
                                            &nbsp;
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="5">
                                            <div style="text-align: center">
                                                <asp:Button ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" />
                                                &nbsp;&nbsp;&nbsp;&nbsp;
                                                <asp:Button ID="btnCancel" runat="server" Text="Cancel" OnClick="btnCancel_Click"
                                                    TabIndex="11" />
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                </div>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
    <asp:HiddenField ID="HiddenField1" runat="server" />
    </form>
</body>
</html>
