﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UsageEntry.aspx.cs" Inherits="FixedAssetsManagement.UsageEntry"
    Title="Usgae Entry" MasterPageFile="~/MainMaster.Master" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Assembly="AISWebCommon" Namespace="AISWebCommon.AisControls" TagPrefix="AIS" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Mainhead" runat="server">
    <link href="CSS/Common.css" rel="Stylesheet" type="text/css" />

    <script type="text/javascript">
  function GetLocation()
   {
     var e =  document.getElementById("<%= ddlocation.ClientID  %>")
     var code =e.options[e.selectedIndex].text;
     //alert (code);
      
      
   }
   
   function  GetItemSelection(rbitem)
   {
     var rb = document.getElementById ("<%= rbSelectItem.ClientID %>");
 
     var rb1 = document.getElementsByName(rbitem);
     var loc = document.getElementById ('<%= ddItems.ClientID %>');
   
   if(rb.checked==true )
    {
    loc.disabled = false;
    }
    else
    {
      loc.disabled = true;
    } 
     

   }
   
   function GetSelection(rbitem)
   {
     var rb = document.getElementById ("<%= rbSelect.ClientID %>");
     var rb1 = document.getElementsByName(rbitem);
     var loc = document.getElementById ('<%= ddlocation.ClientID %>');
   
    if(rb.checked==true )
    {
    loc.disabled = false;
    }
    else
    {
      loc.disabled = true;
    }        

   }
   
   function ShowForm(code)
    {
             var WinSettings = "center:yes;resizable:no;dialogHeight:440px;dialogWidth:660px"
            var MyArgs = new Array(1);
            window.showModalDialog("FA_workingDetails.aspx?Code=" + code, MyArgs, WinSettings );
    }
    </script>

    <style type="text/css">
        .rbuttons
        {
            font-size: 12px;
        }
        .dxeBase
        {
            font-family: Tahoma;
            font-size: 9pt;
        }
        #heading
        {
            width: 560px;
            text-align: right;
            font-size: 11pt;
        }
        </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentMiddle" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <table width="100%">
            <tr><td colspan="10" align="center" style="background-color:#507CD1; color:white">Usage Entry</td></tr>
            <tr>
           <td align="right" colspan="3">
           
               &nbsp;</td>
               <td align="center">
                   <asp:Label ID="Label2" runat="server" Font-Size="10pt" Text="Export Data"></asp:Label>
                   <asp:ImageButton ID="ImageButton3" runat="server" Height="26px" 
                   ImageUrl="~/Images/xls_ico.gif" 
                   PostBackUrl="~/FixedAssetReport.aspx?Export=Yes&amp;Type=Excel" TabIndex="7" 
                   Width="30px" />
               <asp:ImageButton ID="ImageButton4" runat="server" 
                   ImageUrl="~/Images/RTF_icon.jpg" 
                   PostBackUrl="~/FixedAssetReport.aspx?Export=Yes&amp;Type=Word" TabIndex="8" 
                   Width="30px" /></td>
               <tr><td><asp:RadioButton ID="rbAll" runat="server" Checked="True" CssClass="rbuttons" 
                   GroupName="rbLoc" Text="All Location" /></td>
               <td><asp:RadioButton ID="rbSelect" runat="server" CssClass="rbuttons" 
                   GroupName="rbLoc" TabIndex="1" Text="Select Location " /></td>
               <td><asp:DropDownList ID="ddlocation" runat="server" DataTextField="locname" 
                   DataValueField="acode" Enabled="False" Style="margin-left: 0px;" TabIndex="2" 
                   Width="160px">
               </asp:DropDownList></td>
               <td><asp:Button ID="cmdShow" runat="server" OnClick="cmdShow_Click" TabIndex="6" Width="100px" 
                   Text="Show" /></td></tr>
                   <tr><td>
               <asp:RadioButton ID="rbAllItem" runat="server" Checked="True" 
                   CssClass="rbuttons" GroupName="rbItem" TabIndex="3" Text="All Items" /></td>
               <td><asp:RadioButton ID="rbSelectItem" runat="server" CssClass="rbuttons" 
                   GroupName="rbItem" TabIndex="4" Text="Select Item  " /></td>
               <td><asp:DropDownList ID="ddItems" runat="server" DataTextField="name" 
                   DataValueField="icode" Enabled="False" Style="margin-left: 0px" TabIndex="5" 
                   Width="160px">
               </asp:DropDownList></td></tr>
               <tr><td>Sort By:</td>
               <td><asp:RadioButton ID="sortByItem" runat="server" Checked="True" 
                   CssClass="rbuttons " GroupName="rbSort" TabIndex="10" Text="Item" /></td>
               <td><asp:RadioButton ID="sortByLoc" runat="server" CssClass="rbuttons " 
                   GroupName="rbSort" TabIndex="11" Text="Location" />
           
           </td> 
            </tr>
            <tr>
            <td colspan="8">
                <asp:GridView ID="maingrida" runat="server" AllowPaging="True" 
                    AutoGenerateColumns="False" CellPadding="4" ForeColor="#333333" 
                    GridLines="None" OnPageIndexChanging="maingrida_PageIndexChanging" 
                    OnSelectedIndexChanged="maingrida_SelectedIndexChanged" Width="100%">
                    <AlternatingRowStyle BackColor="White" />
                    <Columns>
                        <asp:BoundField DataField="code" HeaderStyle-HorizontalAlign="Left" 
                            HeaderText="Code" ItemStyle-Font-Size="Small" Visible="false" />
                        <asp:BoundField DataField="Icode" HeaderText="ICode" Visible="False">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="DESCRIPTION" HeaderText="Name">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="MAKE" HeaderText="Make">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="SERIAL" HeaderText="Serial">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="OURSNO" HeaderText="Our Sno">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="BATCHNO" HeaderText="Batch No">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="LOCATION" HeaderText="Location">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="LASTVENDOR" HeaderText="Vendor">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderText="Edit">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox1" runat="server"></asp:TextBox>
                            </EditItemTemplate>
                            <ItemTemplate>
                                <a ID="LinkButton1" href="#" onclick='ShowForm(&#039;<%#Eval("code")%>&#039;);' 
                                    style="font-size: small">Edit</a> &nbsp;
                            </ItemTemplate>
                            <HeaderStyle HorizontalAlign="Left" />
                        </asp:TemplateField>
                    </Columns>
                    <EditRowStyle BackColor="#2461BF" />
                    <FooterStyle BackColor="#507CD1" Font-Size="Small" ForeColor="White" />
                    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                    <PagerStyle BackColor="#2461BF" Font-Size="Small" ForeColor="White" 
                        HorizontalAlign="Center" />
                    <RowStyle BackColor="#EFF3FB" />
                    <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
                    <SortedAscendingCellStyle BackColor="#F5F7FB" />
                    <SortedAscendingHeaderStyle BackColor="#6D95E1" />
                    <SortedDescendingCellStyle BackColor="#E9EBEF" />
                    <SortedDescendingHeaderStyle BackColor="#4870BE" />
                </asp:GridView>
                </td>
            </tr>
            </table>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
