﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Usage_Report.aspx.cs" Inherits="FixedAssetsManagement.Usage_Report"
    MasterPageFile="~/MainMaster.Master" Title="Usage Report" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="AjaxToolkit" %>
<%@ Register Assembly="AISWebCommon" Namespace="AISWebCommon.AisControls" TagPrefix="AIS" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Mainhead" runat="server">
    <link href="CSS/Common.css" rel="Stylesheet" type="text/css" />
    <link href="CSS/MyCal.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
 function ShowForm(code)
    {
            var MyArgs = new Array(1);                       
                  
            window.location = "UsageEntry.aspx?code="+code;
    }
    
    function  GetItemSelection(rbitem)
   {
     var rb = document.getElementById ("<%= rdbSelectedItem.ClientID %>");
 
     var rb1 = document.getElementsByName(rbitem);
     var loc = document.getElementById ('<%= ddItems.ClientID %>');
   
   if(rb.checked==true )
    {
    loc.disabled = false;
    }
    else
    {
      loc.disabled = true;
    }     

   } 
  
   
    function  GetLocationSelection(rbitem)
   {
     var rb = document.getElementById ("<%= rdbSelectedLocation.ClientID %>");
 
     var rb1 = document.getElementsByName(rbitem);
     var loc = document.getElementById ('<%= ddLocation.ClientID %>');
   
   if(rb.checked==true )
    {
    loc.disabled = false;
    }
    else
    {
      loc.disabled = true;
    } 
     

   }
   
   
    function HidePanel(ddlId) {

            var index = ddlId;
            var now = new Date();

            document.getElementById("<%= txtToDate.ClientID %>").value = now.format("dd/MMM/yyyy");

            if (index == 1) {
                now.setDate(now.getDate() - 1);
            }
            else if (index == 2) {
                now.setDate(now.getDate() - 7);
            }
            else if (index == 3) {
                now.setMonth(now.getMonth() - 1);
	            now.setDate(now.getDate() - 1);
            }
            document.getElementById("<%= txtFromDate.ClientID %>").value = now.format("dd/MMM/yyyy");

            if (index != 4)  //it depends on which value Selection do u want to hide or show your textbox
            {
                document.getElementById("<%= txtFromDate.ClientID %>").disabled = true;
                document.getElementById("<%= txtToDate.ClientID %>").disabled = true;
            }
            else {
                document.getElementById("<%= txtFromDate.ClientID %>").disabled = false;
                document.getElementById("<%= txtToDate.ClientID %>").disabled = false;
            }
           
        } 
    </script>

    <style type="text/css">
        #heading
        {
            width: 520px;
            text-align: right;
            font-size: 11pt;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentMiddle" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <table width="100%">
            <tr><td colspan="10" align="center" style="background-color:#507CD1; color:white">Usage Report</td></tr>
            <tr>
            <td align="right" colspan="6">
                <asp:Label ID="lblexport" runat="server" Font-Size="10pt" Text="Export Data"></asp:Label>
                <asp:ImageButton ID="ImageButton1" runat="server" Height="26px" 
                    ImageUrl="~/Images/xls_ico.gif" 
                    PostBackUrl="~/Usage_Report.aspx?Export=Yes&amp;Type=Excel" TabIndex="3" 
                    Width="30px" />
                <asp:ImageButton ID="ImageButton2" runat="server" 
                    ImageUrl="~/Images/RTF_icon.jpg" 
                    PostBackUrl="~/Usage_Report.aspx?Export=Yes&amp;Type=Word" TabIndex="4" 
                    Width="30px" /></td></tr>
    <tr><td>Select Peroid</td>
                <td><asp:DropDownList ID="days" runat="server" 
                    onchange="HidePanel(this.selectedIndex);" ViewStateMode="Enabled">
                    <asp:ListItem Selected="True">Today</asp:ListItem>
                    <asp:ListItem>Yesterday</asp:ListItem>
                    <asp:ListItem>Within One Week</asp:ListItem>
                    <asp:ListItem>Within One Month</asp:ListItem>
                    <asp:ListItem>Specify Range</asp:ListItem>
                </asp:DropDownList></td>
                <td>From Date</td>
                <td><asp:TextBox ID="txtFromDate" runat="server" Enabled="False" TabIndex="1"></asp:TextBox>
                <AjaxToolkit:CalendarExtender ID="CalendarExtender1" runat="server" 
                    CssClass="cal_Theme1" Enabled="True" Format="dd/MMM/yyyy" 
                    TargetControlID="txtFromDate">
                </AjaxToolkit:CalendarExtender></td>
                <td>To Date</td>
                <td>
                <asp:TextBox ID="txtToDate" runat="server" Enabled="False" TabIndex="2"></asp:TextBox>
                <AjaxToolkit:CalendarExtender ID="CalendarExtender2" runat="server" 
                    Enabled="True" Format="dd/MMM/yyyy" TargetControlID="txtToDate">
                </AjaxToolkit:CalendarExtender></td>
                <td><asp:Button ID="btnShow" runat="server" OnClick="btnShow_Click" Style="background-color: ActiveBorder; color: Black;
                                            height: 26px;" TabIndex="3" Text="Show" /></td></tr>
                  <tr><td>                          
                <asp:Label ID="Label1" runat="server" Text="Location"></asp:Label></td>
                <td><asp:RadioButton ID="rdbAllLocation" runat="server" Checked="True" 
                    GroupName="grpVendor" TabIndex="5" Text="All" /></td>
                <td><asp:RadioButton ID="rdbSelectedLocation" runat="server" GroupName="grpVendor" 
                    TabIndex="6" Text="Selected" Width="100%" /></td>
                <td colspan="2"><asp:DropDownList ID="ddLocation" runat="server" DataTextField="locname" 
                    DataValueField="acode" Enabled="False" TabIndex="7" Width="160px">
                </asp:DropDownList></td></tr>
                <tr><td>
                <asp:Label ID="Label2" runat="server" Text="Item"></asp:Label></td>

                <td><asp:RadioButton ID="rdbAllItem" runat="server" Checked="True" 
                    GroupName="grpItem" TabIndex="8" Text="All" /></td>
                <td><asp:RadioButton ID="rdbSelectedItem" runat="server" GroupName="grpItem" 
                    TabIndex="9" Text="Selected" /></td>
                <td colspan="2"><asp:DropDownList ID="ddItems" runat="server" DataTextField="name" 
                    DataValueField="icode" Enabled="False" TabIndex="10" Width="160px">
                </asp:DropDownList>
                </td>
            </tr>
            <tr>
            <td colspan="8">
                <asp:GridView ID="maingrida" runat="server" AllowPaging="True" 
                    AutoGenerateColumns="False" CellPadding="4" ForeColor="#333333" 
                    GridLines="None" OnPageIndexChanging="maingrida_PageIndexChanging" 
                    onselectedindexchanged="maingrida_SelectedIndexChanged" Width="100%" 
                    onselectedindexchanging="maingrida_SelectedIndexChanging">
                    <AlternatingRowStyle BackColor="White" />
                    <Columns>
                        <asp:BoundField DataField="faCode" HeaderStyle-HorizontalAlign="Left" 
                            HeaderText="Code" Visible="False">
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Patno" HeaderStyle-HorizontalAlign="Left" 
                            HeaderText="Patno" Visible="False">
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="DESCRIPTION" HeaderStyle-HorizontalAlign="Left" 
                            HeaderText="Item">
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="LOCNAME" HeaderStyle-HorizontalAlign="Left" 
                            HeaderText="Location">
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="NAME" HeaderStyle-HorizontalAlign="Left" 
                            HeaderText="Patient Name">
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="FROMDATE" HeaderStyle-HorizontalAlign="Left" 
                            HeaderText="From">
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:BoundField DataField="TODATE" HeaderStyle-HorizontalAlign="Left" 
                            HeaderText="To">
                        <ItemStyle Font-Size="Small" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderStyle-HorizontalAlign="Left" HeaderText="Edit">
                            <EditItemTemplate>
                                <asp:TextBox ID="TextBox1" runat="server"></asp:TextBox>
                            </EditItemTemplate>
                            <ItemTemplate>
                                <a id="LinkButton1" href="#" onclick='ShowForm(&#039;<%#Eval("code")%>&#039;);' 
                                    style="font-size: small">Edit</a> &nbsp;
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                    <EditRowStyle BackColor="#2461BF" />
                    <FooterStyle BackColor="#507CD1" Font-Size="Small" ForeColor="White" />
                    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                    <PagerStyle BackColor="#2461BF" Font-Size="Small" ForeColor="White" 
                        HorizontalAlign="Center" />
                    <RowStyle BackColor="#EFF3FB" />
                    <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
                    <SortedAscendingCellStyle BackColor="#F5F7FB" />
                    <SortedAscendingHeaderStyle BackColor="#6D95E1" />
                    <SortedDescendingCellStyle BackColor="#E9EBEF" />
                    <SortedDescendingHeaderStyle BackColor="#4870BE" />
                </asp:GridView>
                </td>
            </tr>
            </table>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
